"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runInit = void 0;

var _inquirer = require("inquirer");

var _questions = require("./questions");

var _tasks = require("../tasks");

var _create = require("../tasks/create");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// eslint-disable-next-line max-statements
const runInit = async () => {
  const projectInfoAnswers = await (0, _inquirer.prompt)(_questions.projectInfoQuestions);
  const projectToolAnswers = await (0, _inquirer.prompt)(_questions.projectToolingQuestions);
  const environmentAnswers = await (0, _inquirer.prompt)(_questions.environmentQuestions);
  let sourceAccessAnswers = {};
  let amplifyAccessAnswers = {};

  if (projectToolAnswers.initSourceControl) {
    sourceAccessAnswers = await (0, _inquirer.prompt)(_questions.gitAccessQuestions);
  }

  if (projectToolAnswers.initAmplify) {
    amplifyAccessAnswers = await (0, _inquirer.prompt)(_questions.amplifyAccessQuestions);
  }

  const answers = _objectSpread({}, projectInfoAnswers, projectToolAnswers, environmentAnswers, sourceAccessAnswers, amplifyAccessAnswers);

  const tasks = await (0, _create.createInitTasks)(answers);
  (0, _tasks.runTasks)(tasks);
};

exports.runInit = runInit;