"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.projectInfoQuestions = exports.amplifyAccessQuestions = exports.gitAccessQuestions = exports.environmentQuestions = exports.projectToolingQuestions = void 0;

var _path = _interopRequireDefault(require("path"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const projectToolingQuestions = [{
  type: 'list',
  name: 'initPkgManager',
  message: 'Use npm or yarn:',
  default: 'npm',
  choices: ['npm', 'yarn']
}, {
  type: 'confirm',
  name: 'initSourceControl',
  message: 'Use git:',
  default: 'true'
}, {
  type: 'confirm',
  name: 'initAmplify',
  message: 'Use amplify:',
  default: 'true'
}];
exports.projectToolingQuestions = projectToolingQuestions;
const environmentQuestions = [{
  type: 'input',
  name: 'repoOwner',
  message: 'Who owns the project repository:'
}, {
  type: 'input',
  name: 'environmentNames',
  message: 'What environments would you like (comma seperated envs):',
  default: 'master'
}];
exports.environmentQuestions = environmentQuestions;
const gitAccessQuestions = [{
  type: 'input',
  name: 'gitAccessToken',
  message: 'Enter your github personal access token:'
}];
exports.gitAccessQuestions = gitAccessQuestions;
const amplifyAccessQuestions = [{
  type: 'confirm',
  name: 'useSingleAwsProfile',
  message: 'Use a single aws profile:',
  default: true
}, {
  type: 'input',
  name: 'awsProfiles',
  message: 'Enter the aws profile(s) to use (comma seperated profile names):',
  default: 'default'
}];
exports.amplifyAccessQuestions = amplifyAccessQuestions;
const projectInfoQuestions = [{
  type: 'input',
  name: 'projectName',
  message: 'What is the project name:',
  default: process.cwd().split(_path.default.sep).pop()
}, {
  type: 'input',
  name: 'orgScope',
  message: 'What is the project scope:',
  default: 'none'
}, {
  type: 'input',
  name: 'projectDescription',
  message: 'What is the project description:',
  default: 'A react boilerplate app for <project name>'
}, {
  type: 'input',
  name: 'projectMaintainers',
  message: 'Who are the project maintainers (comma seperated usernames):',
  default: 'none'
}, {
  type: 'input',
  name: 'projectLogo',
  message: 'Url of the project logo (can be local):',
  default: './src/logo.png'
}];
exports.projectInfoQuestions = projectInfoQuestions;