"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updatePackageWithInfo = exports.getScopedProject = exports.parseDescription = void 0;

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const parseDescription = (description, name) => {
  if (description.includes('<project name>')) {
    return description.replace('<project name>', name);
  }

  return description;
};

exports.parseDescription = parseDescription;

const getScopedProject = (orgScope, projectName) => orgScope === 'none' ? projectName // eslint-disable-next-line max-len
: `@${orgScope.startsWith('@') ? orgScope.substr(1) : orgScope}/${projectName}`; // eslint-disable-next-line max-params


exports.getScopedProject = getScopedProject;

const updatePackageWithInfo = (pkg, scopedProject, description, repoOwner, projectName) => _objectSpread({}, pkg.pkg, {
  name: scopedProject,
  version: '0.0.0-semantically-released',
  private: false,
  description,
  license: 'MIT',
  engines: {
    node: '>=10.0.0'
  },
  scripts: undefined,
  main: undefined,
  repository: repoOwner ? {
    type: 'git',
    url: `git+https://github.com/${repoOwner}/${projectName}.git`
  } : undefined,
  bugs: repoOwner ? {
    url: `https://github.com/${repoOwner}/${projectName}/issues`
  } : undefined,
  homepage: repoOwner ? `https://github.com/${repoOwner}/${projectName}#readme` : undefined
});

exports.updatePackageWithInfo = updatePackageWithInfo;