"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addCustomResource = exports.addResourceFromTemplate = void 0;

var _fs = _interopRequireDefault(require("fs"));

var _path = require("path");

var _print = require("../print");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const addResourceFromTemplate = (filename, srcFile = (0, _path.join)((0, _path.dirname)(process.argv[1]), 'templates', filename), destFile = (0, _path.join)(process.cwd(), filename), throwOnError = true) => {
  (0, _print.printInfo)(`Copying ${srcFile} to ${destFile}...`);

  try {
    if (!_fs.default.existsSync((0, _path.dirname)(destFile))) {
      _fs.default.mkdirSync((0, _path.dirname)(destFile));
    }

    _fs.default.copyFileSync(srcFile, destFile);

    _fs.default.chmodSync(destFile, '755');

    (0, _print.printSuccess)(`Copied ${srcFile} to ${destFile}`);
  } catch (err) {
    (0, _print.printError)(err);

    if (throwOnError) {
      throw new Error(err);
    }
  }
};

exports.addResourceFromTemplate = addResourceFromTemplate;

const addCustomResource = (filename, data, destFile = (0, _path.join)(process.cwd(), filename), throwOnError = true) => {
  try {
    (0, _print.printInfo)(`Writing ${filename} to ${destFile}...`);

    if (!_fs.default.existsSync((0, _path.dirname)(destFile))) {
      _fs.default.mkdirSync((0, _path.dirname)(destFile));
    }

    _fs.default.writeFileSync(destFile, data);

    (0, _print.printSuccess)(`Wrote ${filename} to ${destFile}`);
  } catch (err) {
    (0, _print.printError)(err);

    if (throwOnError) {
      throw new Error(err);
    }
  }
};

exports.addCustomResource = addCustomResource;