"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initializeCommitStandard = exports.initializeSourceControlManager = void 0;

var _operations = require("./operations");

var _gitignore = require("../resources/gitignore");

var _utils = require("./utils");

const initializeSourceControlManager = async (projectName, repoOwner, branch, gitAccessToken) => {
  (0, _utils.storeAccessToken)(gitAccessToken);
  await (0, _operations.createNewRepo)(projectName, gitAccessToken);
  await (0, _operations.initializeProject)();
  await (0, _operations.addRemoteOrigin)(repoOwner, projectName);
  (0, _gitignore.addResourceGitIgnore)();
  await (0, _operations.fullPush)(branch, branch === 'master', 'chore', 'tooling', 'Initializing the branch', [], true);
};

exports.initializeSourceControlManager = initializeSourceControlManager;

const initializeCommitStandard = async () => {
  await (0, _operations.addCommitizen)();
  await (0, _operations.initializeChangelog)();
};

exports.initializeCommitStandard = initializeCommitStandard;